Request
curl https://sandbox.api.lendeasy.ai/v1/loans/$LOAN_ID/charges/$LOAN_CHARGE_ID \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/loans/${loanId}/charges/${loanChargeId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/loans/{loan_id}/charges/{loan_charge_id}",
headers={"Authorization": f"Bearer {token}"},
)
{
"id": 44,
"chargeId": 21,
"name": "Late fee",
"chargeTimeType": {
"id": 9,
"value": "Overdue Installment Fee"
},
"currency": {
"code": "USD"
},
"amount": 18,
"amountPaid": 0,
"amountWaived": 0,
"amountOutstanding": 18,
"dueDate": [
2027,
4,
10
],
"penalty": true,
"paid": false,
"waived": false
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}